#ifndef COMMON_H
#define COMMON_H 1

/* common.h - includes all header info for sl45c */

#include "config.h"
#include "sl45c.h"
#include "funcs.h"
#include "serial.h"
#include "vcard.h"
#include "debug.h"
#include "xsiemens.h"

struct s_tasks {
	/* Bools that indicate what action should be taken.
	 * This is to fix the '-r -D' command line problem where sl45c would first
	 * do -r, then -D, which makes -D obsolete. With these bools we first
	 * find out what to do, and _then_ act, so it doesn't matter where you put
	 * -D sl45c will always run in debug mode if specified... */
	int runInfo;
	int runHelp;
	int runVersion;
	int runScan;
	int runLastDialed;
	int runLastReceived;
	int runMissed;
	int runSync;
	int runRead;
	int runWrite;
	int runDump;
	int runEnableSMenu;

	int msglevel;		/* Debug message level */
	int vcard_plain;	/* Show plain vcards or cvs vcards */
	int ser_con;		/* The filedescriptor of the serial connection goes here */
	char *infile;		/* The file to use for input goes here */
	char *outfile;		/* The file to use for output goes here */
	char *device;		/* The device to use for comms with the GSM goes here */
	int speed;			/* Speed for serial port */
	char *rmemtype;		/* Memory type used for reads goes here */
	int rmempos;		/* Memory position used for reads goes here */
	char *wmemtype;		/* Memory type used for writes goes here */
	int wmempos;		/* Memory position used for writes goes here */
	int SMenuStyle;		/* What type of service menu to activate */
};

extern struct s_tasks tasks;

struct s_result {
	int elemcount;
	char **result;
};

void print_help (void);
void print_version (void);
struct s_result rxp(const char*, const char*);
void strip(char*);
#endif /* COMMON_H */
